Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.simple
Class UnifiedProcessor

    java.lang.Object
      rice.environment.processing.simple.SimpleProcessor
          rice.environment.processing.simple.UnifiedProcessor

All Implemented Interfaces:
  Destructable, Processor

    public class UnifiedProcessor

extends SimpleProcessor

Field Summary

Fields inherited from class rice.environment.processing.simple.SimpleProcessor
`bioThread, QUEUE, THREAD, workQueue`

Constructor Summary
`UnifiedProcessor(java.lang.String name, SelectorManager sman, TimeSource ts, LogManager log)`

Method Summary
`Cancellable` | `processBlockingIO(WorkRequest workRequest)` Schedules a different type of task.

Methods inherited from class rice.environment.processing.simple.SimpleProcessor
`destroy, getIOQueue, getQueue, main, process, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnifiedProcessor

    public UnifiedProcessor(java.lang.String name,
                            SelectorManager sman,
                            TimeSource ts,
                            LogManager log)

Method Detail

### processBlockingIO

    public Cancellable processBlockingIO(WorkRequest workRequest)

  Description copied from interface: `Processor`
  Schedules a different type of task. This thread is for doing Disk IO that is required to be blocking.

  Specified by:
    `processBlockingIO` in interface `Processor`
  Overrides:
    `processBlockingIO` in class `SimpleProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.